LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;
USE ieee.std_logic_signed.all;

entity part2 is
	port
	(
		   KEY : in STD_LOGIC_VECTOR(0 downto 0);	
			SW  : in STD_LOGIC_VECTOR(9 downto 0);	
			HEX0 : OUT STD_LOGIC_VECTOR(0 TO 6);
			HEX2 : OUT STD_LOGIC_VECTOR(0 TO 6);
			HEX4 : OUT STD_LOGIC_VECTOR(0 TO 6);
			HEX5 : OUT STD_LOGIC_VECTOR(0 TO 6)		
	);
end;


architecture behav of part2 is
   signal Address : std_logic_vector(4 downto 0);
	signal DataIn, DataOut : std_logic_vector(3 downto 0);
   signal Clock, Write: std_logic; 	
begin

  Clock <= KEY(0);
  DataIn <= SW(3 downto 0);
  Address <= SW(8 downto 4);
  Write <= SW(9);

UUT : entity work.ram32x4 
   port map ( address => Address, clock => Clock, data => DataIn, wren => Write, q => DataOut );


				
H0: 
   entity work.DisplayDigit PORT MAP (DataOut, HEX0);	
H2: 
   entity work.DisplayDigit PORT MAP (DataIn, HEX2);	
H4: 
   entity work.DisplayDigit PORT MAP (Address(3 downto 0), HEX4);		
H5: 
   entity work.DisplayDigit PORT MAP (("000"&Address(4)), HEX5);	
	

end architecture;
	
	
	
